Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.BeginCDSGroup Method
DatabaseEnvironment Class See Also Send Feedback

Allocate a locker ID in an environment configured for Berkeley DB Concurrent Data Store applications.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public Transaction BeginCDSGroup()

Visual Basic (Declaration)
    Public Function BeginCDSGroup As Transaction

Visual C++
    public:
    Transaction^ BeginCDSGroup()

#### Return Value

A Transaction object that uniquely identifies the locker ID

# Remarks

Calling Commit()()() will discard the allocated locker ID.

See Berkeley DB Concurrent Data Store applications in the Programmer's Reference Guide for more information about when this is required.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace